c_data

Stats

WorldWide 12,241 Deaths On 11-11

WorldWide 9,000 Deaths On 11-10
United States 10,252,129 Cases Total to 11-10
Texas 1,010,364 Cases Total to 11-10

Updates

[x] added country Vanuatu

[x] after dive into coutry, meta out of sync

[x] per100k

[x] find first death

[x] Dive into country that have subs

[x] use population from UID_ISO_FIPS_LookUp_Table

failure

negative failure

Negative world wide totals for for 08-17.
Reports "Worldwide Daily Deaths: -1,210 on 08-17"

2020-08-18-neg-failure

Worldwide Total Deaths: 775,244 on 08-16
Worldwide Total Deaths: 774,034 on 08-17
# docusaurus fails to find link
![2020-08-18-neg-failure](../img/2020-08-18-neg-failure.png)
# Link from sample fails -- nor on github pages
[I'm a relative reference to a repository file](../blob/master/LICENSE)

Problem caused by: United Kingdom -5,337

audit

Audit fix

# yarn audit fix workaroud fails
https://dev.to/antongolub/yarn-audit-fix-workaround-i2a
npx yarn-audit-fix
# Use switch to npm to use npm audit fix and switch back to yarn
npm install
npm audit fix
rm -rf package-lock.json node_modules/ yarn.lock
yarn

slush

Preparing for public announcement.

Docusaurus does not like block entries with id with more than one dash, eg. id: 2020-08-13 fails.

id: 2020-08-13
TypeError: Url must be a string. Received object
at Object.normalizeUrl (/Users/epdev/Desktop/covid19-dashboard/docus/node_modules/@docusaurus/utils/lib/index.js:259:19)
at Promise.all.blogFiles.map (/Users/epdev/Desktop/covid19-dashboard/docus/node_modules/@docusaurus/plugin-content-blog/lib/blogUtils.js:110:36)

No id also fails.

The above error occurred in the <a> component:
in a (created by LinkAnchor)
in LinkAnchor (created by Context.Consumer)
in Link (created by Link)
in Link (created by BlogPostItem)
in h2 (created by BlogPostItem)
in header (created by BlogPostItem)
in article (created by BlogPostItem)
in BlogPostItem (created by BlogListPage)
in main (created by BlogListPage)
in div (created by BlogListPage)
in div (created by BlogListPage)
in div (created by Layout)
in UserPreferencesProvider (created by Providers)
in ThemeProvider (created by Providers)
in Providers (created by Layout)
...

Failure with id: 08-13

Uncaught Error: Objects are not valid as a React child (found: Wed Aug 12 2020 20:00:00 GMT-0400 (Eastern Daylight Time)). If you meant to render a collection of children, use an array instead.
yarn build
Error: Minified React error #31; visit https://reactjs.org/docs/error-decoder.html?invariant=31&args[]=Wed%20Aug%2012%202020%2020%3A00%3A00%20GMT-0400%20(Eastern%20Daylight%20Time)&args[]= for the full message or use the non-minified dev environment for full errors and additional helpful warnings.Error: Minified React error #31; visit https://reactjs.org/docs/error-decoder.html?invariant=31&args[]=Wed%20Aug%2012%202020%2020%3A00%3A00%20GMT-0400%20(Eastern%20Daylight%20Time)&args[]= for the full message or use the non-minified dev environment for full errors and additional helpful warnings.
(undefined) Error: Minified React error #31; visit https://reactjs.org/docs/error-decoder.html?invariant=31&args[]=Wed%20Aug%2012%202020%2020%3A00%3A00%20GMT-0400%20(Eastern%20Daylight%20Time)&args[]= for the full message or use the non-minified dev environment for full errors and additional helpful warnings.
at T (main:18682:94)
Removed [I'm a relative reference to a repository file](../blob/master/LICENSE)
from docus/docs/d99-style.md

upgrade

Upgraded to most recent version of Docusaurus to avoid warning - failed, warning still present. The use of componentWillMount warned about is buried in Docusaurus code that we can't directly modify.

# Getting following react warning:
react-dom.development.js?61bb:88 Warning: componentWillMount has been renamed, and is not recommended for use. See https://fb.me/react-unsafe-component-lifecycles for details.
* Move code with side effects to componentDidMount, and set initial state in the constructor.
* Rename componentWillMount to UNSAFE_componentWillMount to suppress this warning in non-strict mode. In React 17.x, only the UNSAFE_ name will work. To rename all deprecated lifecycles to their new names, you can run `npx react-codemod rename-unsafe-lifecycles` in your project source folder.
Please update the following components: LoadableComponent
# Tried upgrade to avoid the warning
yarn upgrade
success Saved 863 new dependencies.
info Direct dependencies
鈹溾攢 @docusaurus/preset-classic@2.0.0-alpha.61
鈹溾攢 react-dom@16.13.1
鈹斺攢 react@16.13.1
# Warning still present
#

cron

Use git@github.com:EP-Visual-Design/covid19-dashboard.git
to get fix bin/cron-parse.sh

# Setup cron task to run every morning
#
env EDITOR=nano crontab -e
# Show cron task
#
crontab -l
...
15 6 * * * bash -l /Users/epdev/Desktop/covid19-dashboard/bin/cron-parse.sh
#
# 6:15am task to run bin/cron-parse.sh
# ssh settings to get git@githumb.com access to work
#
more ~/.ssh/config
Host *
Protocol 2
TCPKeepAlive yes
ServerAliveInterval 60
Host github.com
User git
Hostname github.com
PreferredAuthentications publickey
IdentitiesOnly yes
IdentityFile ~/.ssh/github_rsa
# ssh to create ~/.ssh/github_rsa
#
ssh-keygen -t rsa -b 4096 -C "your@email.com"
Generating public/private rsa key pair.
Enter file in which to save the key (/Users/epdev/.ssh/id_rsa): .ssh/github_rsa
Enter passphrase (empty for no passphrase):
Enter same passphrase again:
Your identification has been saved in .ssh/github_rsa.
Your public key has been saved in .ssh/github_rsa.pub.
...